# Class ConsoleOutHandler

java.lang.Object
java.util.logging.Handler
java.util.logging.StreamHandler
net.sf.statcvs.util.ConsoleOutHandler

public class ConsoleOutHandler extends StreamHandler
A simplified copy of `java.util.logging.ConsoleHandler`. It writes to `System.out` instead of `System.err` and uses the `LogFormatter` to format

Version:
  $Id: ConsoleOutHandler.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak invalid input: '<'rcyg@gmx.de>

## Constructor Summary

Constructors
Constructor
Description
`ConsoleOutHandler()`
Create a `ConsoleOutHandler` for `System.out`.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Override `StreamHandler.close` to do a flush but not to close the output stream.
`void`
`publish(LogRecord record)`
Publish a `LogRecord`.

### Methods inherited from class StreamHandler

`flush, isLoggable, setEncoding, setOutputStream`

### Methods inherited from class Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConsoleOutHandler

public ConsoleOutHandler()
Create a `ConsoleOutHandler` for `System.out`.

## Method Details

### publish

public void publish(LogRecord record)
Publish a `LogRecord`.

The logging request was made initially to a `Logger` object, which initialized the `LogRecord` and forwarded it here.

Overrides:
  `publish` in class `StreamHandler`
Parameters:
  `record` - description of the log event

### close

public void close()
Override `StreamHandler.close` to do a flush but not to close the output stream. That is, we do not close `System.err`.

Overrides:
  `close` in class `StreamHandler`